---
obj: application
aliases: ["7zip", "7z"]
---

# 7Zip
7-Zip is a file archiver with the highest compression ratio. The program supports 7z (that implements LZMA compression algorithm), [ZIP](../../../files/ZIP.md), CAB, ARJ, GZIP, BZIP2, [TAR](tar.md), CPIO, RPM and DEB formats. Compression ratio in the new 7z format is 30-50% better than ratio in [ZIP](../../../files/ZIP.md) format.

## Usage
Add file/directory to the archive (or create a new one):
```shell
7z a archive_name file_name
7z a archive_name file_name -p -mhe=on # Password Protect
```

Update existing files in the archive or add new ones:
```shell
7z u archive_name file_name
```

List the content of an archive:
```shell
7z l archive_name
```

Extract files:
```shell
7z e archive_name # without using dir names
7z x archive_name # extract with full paths
7z x -ofolder_name archive_name # extract into folder
```

Check integrity of the archive:
```shell
7z t archive_name
```